-- 11b_Legal_Offers_ColumnstoreIndexes_Script
use	WideWorldImporters
;
go

-- Offers.Sellers
create unique clustered index	pk_Offers_Sellers
	on	Offers.Sellers
		(
		OfferID
		)
;
go
create nonclustered columnstore index	cx_Offers_Sellers
	on	Offers.Sellers
		(
		PersonID
		,OfferID
		)
;
go

-- Offers.SellerItems
create clustered columnstore index	pk_Offers_SellerItems
	on	Offers.SellerItems
;
go

-- Offers.Buyers
create unique clustered index	pk_Offers_Buyers
	on	Offers.Buyers
		(
		OfferID
		)
;
go
create nonclustered columnstore index	cx_Offers_Buyers
	on	Offers.Buyers
		(
		PersonID
		,OfferID
		)
;
go

-- Offers.BuyerItems
create clustered columnstore index	pk_Offers_BuyerItems
	on	Offers.BuyerItems
;
go


/* Clean up.
drop index	pk_Offers_Sellers
	on	Offers.Sellers
;
drop index	cx_Offers_Sellers
	on	Offers.Sellers
;
drop index	pk_Offers_SellerItems
	on	Offers.SellerItems
;
drop index	pk_Offers_Buyers
	on	Offers.Buyers
;
drop index	cx_Offers_Buyers
	on	Offers.Buyers
;
drop index	pk_Offers_BuyerItems
	on	Offers.BuyerItems
;
*/
